﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FreeSwitch.EventSocket.CallHandling
{
	class Call
	{
		/// <summary>
		/// Gets or sets call identifier.
		/// </summary>
		/// <remarks>Corresponds to call id in FreeSwitch</remarks>
		public string Id { get; set; }

		/// <summary>
		/// Gets or sets information about the user that this call is for.
		/// </summary>
		public UserInfo UserInfo { get; set; }

		/// <summary>
		/// Gets or sets call state
		/// </summary>
		public CallState State { get; set; }
	}
}
