using System;
using FreeSwitch.EventSocket.Parser;

namespace FreeSwitch.EventSocket
{
	public interface IEventChannel
	{
		bool IsConnected { get; }
		event EventHandler<MessageEventArgs> MessageReceived;
		void Send(string command);
		event EventHandler Disconnected;
	}
}